Package io.dapr.v1

# Interface DaprProtos.SubscribeTopicEventsResponseAlpha1OrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubscribeTopicEventsResponseAlpha1`, `DaprProtos.SubscribeTopicEventsResponseAlpha1.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubscribeTopicEventsResponseAlpha1OrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicEventRequest`
`getEventMessage()`
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`
`DaprAppCallbackProtos.TopicEventRequestOrBuilder`
`getEventMessageOrBuilder()`
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`
`DaprProtos.SubscribeTopicEventsResponseInitialAlpha1`
`getInitialResponse()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`
`DaprProtos.SubscribeTopicEventsResponseInitialAlpha1OrBuilder`
`getInitialResponseOrBuilder()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`
`DaprProtos.SubscribeTopicEventsResponseAlpha1.SubscribeTopicEventsResponseTypeCase`
`getSubscribeTopicEventsResponseTypeCase()`
`boolean`
`hasEventMessage()`
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`
`boolean`
`hasInitialResponse()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasInitialResponse

boolean hasInitialResponse()
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`

Returns:
  Whether the initialResponse field is set.

### getInitialResponse

DaprProtos.SubscribeTopicEventsResponseInitialAlpha1 getInitialResponse()
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`

Returns:
  The initialResponse.

### getInitialResponseOrBuilder

DaprProtos.SubscribeTopicEventsResponseInitialAlpha1OrBuilder getInitialResponseOrBuilder()
`.dapr.proto.runtime.v1.SubscribeTopicEventsResponseInitialAlpha1 initial_response = 1;`

### hasEventMessage

boolean hasEventMessage()
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`

Returns:
  Whether the eventMessage field is set.

### getEventMessage

DaprAppCallbackProtos.TopicEventRequest getEventMessage()
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`

Returns:
  The eventMessage.

### getEventMessageOrBuilder

DaprAppCallbackProtos.TopicEventRequestOrBuilder getEventMessageOrBuilder()
`.dapr.proto.runtime.v1.TopicEventRequest event_message = 2;`

### getSubscribeTopicEventsResponseTypeCase

DaprProtos.SubscribeTopicEventsResponseAlpha1.SubscribeTopicEventsResponseTypeCase getSubscribeTopicEventsResponseTypeCase()